Package org.mariadb.jdbc.plugin.authentication.standard

# Class Ed25519PasswordPlugin

java.lang.Object
org.mariadb.jdbc.plugin.authentication.standard.Ed25519PasswordPlugin

All Implemented Interfaces:
  `AuthenticationPlugin`

public class Ed25519PasswordPlugin extends Object implements AuthenticationPlugin
ED25519 password plugin

## Constructor Summary

Constructors
Constructor
Description
`Ed25519PasswordPlugin()`

## Method Summary

Modifier and Type
Method
Description
`void`
`initialize(String authenticationData, byte[] seed, Configuration conf)`
Initialization.
`org.mariadb.jdbc.client.ReadableByteBuf`
`process(Writer out, Reader in, org.mariadb.jdbc.client.Context context)`
Process Ed25519 password plugin authentication.
`String`
`type()`
Authentication plugin type.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Ed25519PasswordPlugin

public Ed25519PasswordPlugin()

## Method Details

### type

public String type()
Description copied from interface: `AuthenticationPlugin`
Authentication plugin type.

Specified by:
  `type` in interface `AuthenticationPlugin`
Returns:
  authentication plugin type. ex: mysql_native_password

### initialize

public void initialize(String authenticationData, byte[] seed, Configuration conf)
Initialization.

Specified by:
  `initialize` in interface `AuthenticationPlugin`
Parameters:
  `authenticationData` - authentication data (password/token)
  `seed` - server provided seed
  `conf` - Connection string options

### process

public org.mariadb.jdbc.client.ReadableByteBuf process(Writer out, Reader in, org.mariadb.jdbc.client.Context context) throws SQLException, IOException
Process Ed25519 password plugin authentication. see https://mariadb.com/kb/en/library/authentication-plugin-ed25519/

Specified by:
  `process` in interface `AuthenticationPlugin`
Parameters:
  `out` - out stream
  `in` - in stream
  `context` - connection context
Returns:
  response packet
Throws:
  `IOException` - if socket error
  `SQLException` - if plugin exception